Bug 2073469 - Discovery kexec Provisioning Template is missing description
Summary: Discovery kexec Provisioning Template is missing description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Discovery Plugin
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.11.0
Assignee: Lukas Zapletal
QA Contact: Griffin Sullivan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-08 14:46 UTC by Ondrej Gajdusek
Modified: 2022-07-05 14:35 UTC (History)
4 users (show)

Fixed In Version: rubygem-foreman_discovery-19.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:35:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34777 0 Normal New Discovery kexec Provisioning Template is missing description 2022-04-14 17:52:00 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:35:23 UTC

Description Ondrej Gajdusek 2022-04-08 14:46:17 UTC
Description of problem:
`Discovery Red Hat kexec` template is missing the description.

Version-Release number of selected component (if applicable):
Satellite 7.0.0/6.11.0 snap 14
foreman-3.1.1.9-1.el8sat.noarch
rubygem-foreman_discovery-19.0.2-1.el8sat.noarch
rubygem-smart_proxy_discovery-1.0.5-8.el8sat.noarch

How reproducible:
always

Steps to Reproduce:
1. edit Discovery Red Hat kexec Provisioning Template
2. see the Description text box below the Ace editor frame

Actual results:
Templates are missing description.

Expected results:
Each and every supported Provisioning Template should contain a description.

Additional info:

Comment 1 Marek Hulan 2022-04-14 17:51:59 UTC
Created redmine issue https://projects.theforeman.org/issues/34777 from this bug

Comment 2 Bryan Kearney 2022-04-14 20:05:07 UTC
Upstream bug assigned to mhulan

Comment 3 Bryan Kearney 2022-04-14 20:05:09 UTC
Upstream bug assigned to mhulan

Comment 4 Bryan Kearney 2022-04-25 16:05:29 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34777 has been resolved.

Comment 7 Griffin Sullivan 2022-05-13 13:40:12 UTC
Verified in 6.11 snap 20

Description is present in the metadata area of the template, but not in the actual description field.

Steps to Reproduce:
1. Go to Hosts > Provisioning Templates > Discovery Red Hat kexec

Expected Results:
Description is found under the description field for discovery templates.

Actual Results:
Description is only in the template editor.


Notes: 
Spoke with Marek and we decided to verify this since the user can at least find the description. I created a new BZ for fixing this issue since it is bigger than just adding one description to a template https://bugzilla.redhat.com/show_bug.cgi?id=2085490.

Comment 10 errata-xmlrpc 2022-07-05 14:35:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.